#ifndef INC_GTMATRIX_H
#define INC_GTMATRIX_H

#include "gtbdrman.h"

/************************************************************************\
*
* GtMatrix class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtMatrix : public GtBdrMan
{
public:
		/* Standard */
	GtMatrix(void);
	void Destroy(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtMatrix"); }
	sbool IsSubClassOf(char *cn);
		/* Layout */
	void Relayout(void);
		/* Values */
	void SetEMask(ulong em);
protected:
		/* Internal methods */
	sbool Draw(XEvent *xe);
	void Layout(void);
protected:
		/* Instance variables */
	uword rows,cols;
	word *rmin,*rmax;
	word *cmin,*cmax;
	word *rsize,*csize;
	word *ridx,*cidx;
	ubyte orient,ftype,space,ibw,bdrw,ibdrw;
	sbool unisize;
};

extern GtMatrix *GtMkMatrix(char *n,GtManager *p,GtTag *tgs);
extern GtMatrix *GtMkMatrix(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTMATRIX_H */
